diff -ruN apbs-1.1.0-source/configure apbs-1.1.0-source.new/configure
--- apbs-1.1.0-source/configure	2009-04-13 11:47:41.000000000 -0700
+++ apbs-1.1.0-source.new/configure	2009-08-01 16:49:08.000000000 -0700
@@ -22073,7 +22073,7 @@
 			;;
 		darwin**)
 			PY_CC=${F77}
-			PY_LINKFLAGS="-Wl,-framework -Wl,Python -shared"
+			PY_LINKFLAGS="-Wl,-framework -Wl,Python -bundle"
 			PY_LDFLAGS="-Wl,-framework -Wl,Accelerate"
 			;;
 		mingw*)
@@ -22359,7 +22359,7 @@
 
 SERVICEURL='http://ws.nbcr.net/opal/services/APBS_1.1.0'
 PARALLELSERVICEURL='http://ws.nbcr.net/opal/services/APBS_Parallel_1.1.0'
-SITEPKGS=${prefix}/lib/python${PY_VERSION}/site-packages
+SITEPKGS=@INSTALL_DIR@${prefix}/lib/python${PY_VERSION}/site-packages
 
 sed -e 's%@SITEPKGS@%'${SITEPKGS}'%' \
     -e 's%@PACKAGE_VERSION@%'${PACKAGE_VERSION}'%' \
diff -ruN apbs-1.1.0-source/contrib/opal/ZSI/Makefile.in apbs-1.1.0-source.new/contrib/opal/ZSI/Makefile.in
--- apbs-1.1.0-source/contrib/opal/ZSI/Makefile.in	2009-04-13 11:47:39.000000000 -0700
+++ apbs-1.1.0-source.new/contrib/opal/ZSI/Makefile.in	2009-08-01 16:50:06.000000000 -0700
@@ -529,7 +529,7 @@
 
 install-data-local:
 	-mkdir -p ${SITEPKGS}
-	${py_path} setup.py install --prefix=${prefix}
+	${py_path} setup.py install --prefix=@INSTALL_DIR@${prefix}
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -ruN apbs-1.1.0-source/tools/python/Makefile.in apbs-1.1.0-source.new/tools/python/Makefile.in
--- apbs-1.1.0-source/tools/python/Makefile.in	2009-04-13 11:47:40.000000000 -0700
+++ apbs-1.1.0-source.new/tools/python/Makefile.in	2009-08-01 16:18:40.000000000 -0700
@@ -52,7 +52,6 @@
 	${top_builddir}/bin/.libs/libapbsmainroutines.a \
 	${top_builddir}/src/aaa_lib/.libs/libapbs.a \
 	${top_builddir}/contrib/lib/libmaloc.a \
-	${top_builddir}/contrib/blas/.libs/libapbsblas.a \
 	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src/aaa_inc@am__isrc@
 depcomp =
@@ -235,7 +234,7 @@
 SUBDIRS = vgrid 
 _apbslib_so_SOURCES = apbslib.c
 _apbslib_so_LINK = $(PY_CC) $(PY_LINKFLAGS) -o $@ $(PY_SHARED)
-_apbslib_so_LDADD = ${top_builddir}/bin/.libs/libapbsmainroutines.a ${top_builddir}/src/aaa_lib/.libs/libapbs.a ${top_builddir}/contrib/lib/libmaloc.a ${top_builddir}/contrib/blas/.libs/libapbsblas.a $(PY_LDFLAGS)
+_apbslib_so_LDADD = ${top_builddir}/bin/.libs/libapbsmainroutines.a ${top_builddir}/src/aaa_lib/.libs/libapbs.a ${top_builddir}/contrib/lib/libmaloc.a $(PY_LDFLAGS)
 all: all-recursive
 
 .SUFFIXES:
--- apbs-1.1.0-source/configure.org	2009-08-14 22:15:12.000000000 -0400
+++ apbs-1.1.0-source/configure	2009-08-14 22:17:17.000000000 -0400
@@ -21893,9 +21893,9 @@
 	fi
 
 	if test -n "${USE_OPMI}"; then
-		as_ac_File=`echo "ac_cv_file_${mpi_path}/lib/libmpi.a" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for ${mpi_path}/lib/libmpi.a" >&5
-echo $ECHO_N "checking for ${mpi_path}/lib/libmpi.a... $ECHO_C" >&6; }
+		as_ac_File=`echo "ac_cv_file_${mpi_path}/lib/FINKMPIDIR/libmpi.a" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${mpi_path}/lib/FINKMPIDIR/libmpi.a" >&5
+echo $ECHO_N "checking for ${mpi_path}/lib/FINKMPIDIR/libmpi.a... $ECHO_C" >&6; }
 if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -21903,7 +21903,7 @@
   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
-if test -r "${mpi_path}/lib/libmpi.a"; then
+if test -r "${mpi_path}/lib/FINKMPIDIR/libmpi.a"; then
   eval "$as_ac_File=yes"
 else
   eval "$as_ac_File=no"
@@ -21939,9 +21939,9 @@
   HAS_MPI_LIB="yes"
 fi
 
-		as_ac_File=`echo "ac_cv_file_${mpi_path}/lib/libmpi.dylib" | $as_tr_sh`
-{ echo "$as_me:$LINENO: checking for ${mpi_path}/lib/libmpi.dylib" >&5
-echo $ECHO_N "checking for ${mpi_path}/lib/libmpi.dylib... $ECHO_C" >&6; }
+		as_ac_File=`echo "ac_cv_file_${mpi_path}/lib/FINKMPIDIR/libmpi.dylib" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for ${mpi_path}/lib/FINKMPIDIR/libmpi.dylib" >&5
+echo $ECHO_N "checking for ${mpi_path}/lib/FINKMPIDIR/libmpi.dylib... $ECHO_C" >&6; }
 if { as_var=$as_ac_File; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -21949,7 +21949,7 @@
   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
-if test -r "${mpi_path}/lib/libmpi.dylib"; then
+if test -r "${mpi_path}/lib/FINKMPIDIR/libmpi.dylib"; then
   eval "$as_ac_File=yes"
 else
   eval "$as_ac_File=no"
@@ -21963,7 +21963,7 @@
 fi
 
 		if test -n "${HAS_MPI_LIB}"; then
-			mpi_lib="-L${mpi_path}/lib -lmpi"
+			mpi_lib="-L${mpi_path}/lib/FINKMPIDIR -lmpi"
 		else
 			{ { echo "$as_me:$LINENO: error: Error...Could not find OpenMPI libraries in ${mpi_path}/lib" >&5
 echo "$as_me: error: Error...Could not find OpenMPI libraries in ${mpi_path}/lib" >&2;}