diff -urN dxsamples-4.4.0/programs/2D_DATA/Makefile.in dx-samples-new/programs/2D_DATA/Makefile.in
--- dxsamples-4.4.0/programs/2D_DATA/Makefile.in	2006-01-03 15:41:28.000000000 -0500
+++ dx-samples-new/programs/2D_DATA/Makefile.in	2006-05-29 10:05:36.000000000 -0400
@@ -302,9 +302,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/3D_DATA/Makefile.in dx-samples-new/programs/3D_DATA/Makefile.in
--- dxsamples-4.4.0/programs/3D_DATA/Makefile.in	2006-01-03 15:41:28.000000000 -0500
+++ dx-samples-new/programs/3D_DATA/Makefile.in	2006-05-29 10:10:17.000000000 -0400
@@ -342,9 +342,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/ANNOTATION/Makefile.in dx-samples-new/programs/ANNOTATION/Makefile.in
--- dxsamples-4.4.0/programs/ANNOTATION/Makefile.in	2006-01-03 15:41:28.000000000 -0500
+++ dx-samples-new/programs/ANNOTATION/Makefile.in	2006-05-29 10:10:14.000000000 -0400
@@ -326,9 +326,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/CATEGORICAL/Makefile.in dx-samples-new/programs/CATEGORICAL/Makefile.in
--- dxsamples-4.4.0/programs/CATEGORICAL/Makefile.in	2006-01-03 15:41:28.000000000 -0500
+++ dx-samples-new/programs/CATEGORICAL/Makefile.in	2006-05-29 10:10:42.000000000 -0400
@@ -286,9 +286,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/COLORMAP_EDITOR/Makefile.in dx-samples-new/programs/COLORMAP_EDITOR/Makefile.in
--- dxsamples-4.4.0/programs/COLORMAP_EDITOR/Makefile.in	2006-01-03 15:41:28.000000000 -0500
+++ dx-samples-new/programs/COLORMAP_EDITOR/Makefile.in	2006-05-29 10:11:00.000000000 -0400
@@ -282,9 +282,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/COMPUTE/Makefile.in dx-samples-new/programs/COMPUTE/Makefile.in
--- dxsamples-4.4.0/programs/COMPUTE/Makefile.in	2006-01-03 15:41:28.000000000 -0500
+++ dx-samples-new/programs/COMPUTE/Makefile.in	2006-05-29 10:11:17.000000000 -0400
@@ -282,9 +282,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/DATA_DRIVEN_INTERACTORS/Makefile.in dx-samples-new/programs/DATA_DRIVEN_INTERACTORS/Makefile.in
--- dxsamples-4.4.0/programs/DATA_DRIVEN_INTERACTORS/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/DATA_DRIVEN_INTERACTORS/Makefile.in	2006-05-29 10:11:35.000000000 -0400
@@ -278,9 +278,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/DEBUGGING/Makefile.in dx-samples-new/programs/DEBUGGING/Makefile.in
--- dxsamples-4.4.0/programs/DEBUGGING/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/DEBUGGING/Makefile.in	2006-05-29 10:11:51.000000000 -0400
@@ -276,12 +276,13 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -urN dxsamples-4.4.0/programs/DISTRIBUTED_PROCESSING/Makefile.in dx-samples-new/programs/DISTRIBUTED_PROCESSING/Makefile.in
--- dxsamples-4.4.0/programs/DISTRIBUTED_PROCESSING/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/DISTRIBUTED_PROCESSING/Makefile.in	2006-05-29 10:12:08.000000000 -0400
@@ -274,9 +274,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/IMAGE_PROCESSING/Makefile.in dx-samples-new/programs/IMAGE_PROCESSING/Makefile.in
--- dxsamples-4.4.0/programs/IMAGE_PROCESSING/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/IMAGE_PROCESSING/Makefile.in	2006-05-29 10:12:28.000000000 -0400
@@ -286,9 +286,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/IMPORTING/Makefile.in dx-samples-new/programs/IMPORTING/Makefile.in
--- dxsamples-4.4.0/programs/IMPORTING/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/IMPORTING/Makefile.in	2006-05-29 10:12:43.000000000 -0400
@@ -284,9 +284,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/INTERFACE_CONTROL/Makefile.in dx-samples-new/programs/INTERFACE_CONTROL/Makefile.in
--- dxsamples-4.4.0/programs/INTERFACE_CONTROL/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/INTERFACE_CONTROL/Makefile.in	2006-05-29 10:12:59.000000000 -0400
@@ -280,9 +280,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/LOOPING/Makefile.in dx-samples-new/programs/LOOPING/Makefile.in
--- dxsamples-4.4.0/programs/LOOPING/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/LOOPING/Makefile.in	2006-05-29 10:13:17.000000000 -0400
@@ -278,12 +278,13 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -urN dxsamples-4.4.0/programs/MISC/Makefile.in dx-samples-new/programs/MISC/Makefile.in
--- dxsamples-4.4.0/programs/MISC/Makefile.in	2006-01-03 15:41:29.000000000 -0500
+++ dx-samples-new/programs/MISC/Makefile.in	2006-05-29 10:13:34.000000000 -0400
@@ -324,9 +324,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/PLOTTING/Makefile.in dx-samples-new/programs/PLOTTING/Makefile.in
--- dxsamples-4.4.0/programs/PLOTTING/Makefile.in	2006-01-03 15:41:30.000000000 -0500
+++ dx-samples-new/programs/PLOTTING/Makefile.in	2006-05-29 10:13:53.000000000 -0400
@@ -298,9 +298,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/PROBES/Makefile.in dx-samples-new/programs/PROBES/Makefile.in
--- dxsamples-4.4.0/programs/PROBES/Makefile.in	2006-01-03 15:41:30.000000000 -0500
+++ dx-samples-new/programs/PROBES/Makefile.in	2006-05-29 10:14:07.000000000 -0400
@@ -280,12 +280,13 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -urN dxsamples-4.4.0/programs/RENDERING/Makefile.in dx-samples-new/programs/RENDERING/Makefile.in
--- dxsamples-4.4.0/programs/RENDERING/Makefile.in	2006-01-03 15:41:30.000000000 -0500
+++ dx-samples-new/programs/RENDERING/Makefile.in	2006-05-29 10:14:22.000000000 -0400
@@ -292,9 +292,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/SCATTERED/Makefile.in dx-samples-new/programs/SCATTERED/Makefile.in
--- dxsamples-4.4.0/programs/SCATTERED/Makefile.in	2006-01-03 15:41:31.000000000 -0500
+++ dx-samples-new/programs/SCATTERED/Makefile.in	2006-05-29 10:14:39.000000000 -0400
@@ -278,9 +278,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/SEQUENCER/Makefile.in dx-samples-new/programs/SEQUENCER/Makefile.in
--- dxsamples-4.4.0/programs/SEQUENCER/Makefile.in	2006-01-03 15:41:31.000000000 -0500
+++ dx-samples-new/programs/SEQUENCER/Makefile.in	2006-05-29 10:14:53.000000000 -0400
@@ -292,9 +292,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/SIMPLE/Makefile.in dx-samples-new/programs/SIMPLE/Makefile.in
--- dxsamples-4.4.0/programs/SIMPLE/Makefile.in	2006-01-03 15:41:31.000000000 -0500
+++ dx-samples-new/programs/SIMPLE/Makefile.in	2006-05-29 10:15:10.000000000 -0400
@@ -356,9 +356,9 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
diff -urN dxsamples-4.4.0/programs/SUPERVISE/Makefile.in dx-samples-new/programs/SUPERVISE/Makefile.in
--- dxsamples-4.4.0/programs/SUPERVISE/Makefile.in	2006-01-03 15:41:31.000000000 -0500
+++ dx-samples-new/programs/SUPERVISE/Makefile.in	2006-05-29 10:15:24.000000000 -0400
@@ -284,12 +284,13 @@
 
 
 myinstall: 
-	$(mkinstalldirs) $(sampleprogdir)
-	@-sh -c '( echo "cd $(sampleprogdir)" ; \
-		cd $(sampleprogdir) && for s in $(LINKLIST) ; do \
+	$(mkinstalldirs) $(DESTDIR)$(sampleprogdir)
+	@-sh -c '( echo "cd $(DESTDIR)$(sampleprogdir)" ; \
+		cd $(DESTDIR)$(sampleprogdir) && for s in $(LINKLIST) ; do \
 		$(LN_S) ../$$s $$s ; \
 		echo "$(LN_S) ../$$s $$s" ; \
 	done )'
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -urN dxsamples-4.4.0/user/Makefile.in dx-samples-new/user/Makefile.in
--- dxsamples-4.4.0/user/Makefile.in	2006-01-03 15:41:33.000000000 -0500
+++ dx-samples-new/user/Makefile.in	2006-05-29 10:23:42.000000000 -0400
@@ -130,7 +130,7 @@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-data_DATA = Makefile_inboard_alphax Makefile_inboard_aviion Makefile_inboard_hp700 Makefile_inboard_ibm6000 Makefile_inboard_ibmpvs Makefile_inboard_intelnt Makefile_inboard_sgi Makefile_inboard_solaris Makefile_inboard_sun4 Makefile_intelnt Makefile_loadable_alphax Makefile_loadable_hp700 Makefile_loadable_ibm6000 Makefile_loadable_intelnt Makefile_loadable_sgi Makefile_loadable_solaris Makefile_os2 Makefile_outboard_alphax Makefile_outboard_aviion Makefile_outboard_hp700 Makefile_outboard_ibm6000 Makefile_outboard_ibmpvs Makefile_outboard_intelnt Makefile_outboard_sgi Makefile_outboard_solaris Makefile_outboard_sun4 README add.c hello.c hello_loadable.mdf makex.c user_inboard.mdf user_loadable.mdf user_outboard.mdf
+data_DATA = Makefile_inboard_alphax Makefile_inboard_aviion Makefile_inboard_hp700 Makefile_inboard_ibm6000 Makefile_inboard_ibmpvs Makefile_inboard_intelnt Makefile_inboard_macos Makefile_inboard_sgi Makefile_inboard_solaris Makefile_inboard_sun4 Makefile_intelnt Makefile_loadable_alphax Makefile_loadable_hp700 Makefile_loadable_ibm6000 Makefile_loadable_intelnt Makefile_loadable_macos Makefile_loadable_sgi Makefile_loadable_solaris Makefile_os2 Makefile_outboard_alphax Makefile_outboard_aviion Makefile_outboard_hp700 Makefile_outboard_ibm6000 Makefile_outboard_ibmpvs Makefile_outboard_intelnt Makefile_outboard_sgi Makefile_outboard_solaris Makefile_outboard_sun4 README add.c hello.c hello_loadable.mdf makex.c user_inboard.mdf user_loadable.mdf user_outboard.mdf
 EXTRA_DIST = $(data_DATA)
 all: all-am
 
diff -urN dxsamples-4.4.0/user/Makefile_inboard_macos dx-samples-new/user/Makefile_inboard_macos
--- dxsamples-4.4.0/user/Makefile_inboard_macos	1969-12-31 19:00:00.000000000 -0500
+++ dx-samples-new/user/Makefile_inboard_macos	2006-05-29 10:30:21.000000000 -0400
@@ -0,0 +1,22 @@
+FILES = user.o add.o makex.o hello.o
+ARCH = macos
+BASE = @PREFIX@/share/dx
+
+LDFLAGS= -L$(BASE)/lib_$(ARCH) -L@PREFIX@/lib -L/usr/X11R6/lib -bind_at_load
+
+CFLAGS = -O -Dmacos -I@PREFIX@/include
+include $(BASE)/lib_$(ARCH)/arch.mak
+LIBS = -lDX $(DXEXECLINKLIBS)
+BIN = $(BASE)/bin
+
+# make the Data Explorer executable
+dxexec:                $(FILES)
+               $(CC) $(LDFLAGS) $(FILES) $(LIBS) -o dxexec
+
+
+# make the user.c file
+user.c:                user_inboard.mdf
+               $(BIN)/mdf2c user_inboard.mdf > user.c
+
+clean:         
+               rm -rf user.c dxexec
diff -urN dxsamples-4.4.0/user/Makefile_loadable_macos dx-samples-new/user/Makefile_loadable_macos
--- dxsamples-4.4.0/user/Makefile_loadable_macos	1969-12-31 19:00:00.000000000 -0500
+++ dx-samples-new/user/Makefile_loadable_macos	2006-05-29 10:27:13.000000000 -0400
@@ -0,0 +1,26 @@
+# This makefile has three targets:
+#    loadablelib creates a "library" of two run-time loadable modules,
+#       makex and add 
+#    hello creates a single runtime loadable executable, the hello module.
+#    all creates both of the above.
+BASE=@PREFIX@/share/dx
+ARCH=macos
+BIN = $(BASE)/bin
+CFLAGS = -O -D$(ARCH) -I$(BASE)/include -I@PREFIX@/include -fno-common
+BUNDLEFLAGS = -bundle -flat_namespace -undefined suppress
+
+.DEFAULT:      all
+
+loadablelib:   makex.o add.o
+               $(BIN)/mdf2c -m user_loadable.mdf > user.c
+               cc  $(CFLAGS) -D$(ARCH) -c user.c
+               cc $(BUNDLEFLAGS) -o loadablelib user.o makex.o add.o -e _DXEntry 
+
+hello:                 hello.o
+               $(BIN)/mdf2c -m hello_loadable.mdf > user.c
+               cc $(CFLAGS) -D$(ARCH) -c user.c
+               cc $(BUNDLEFLAGS) -o hello user.o hello.o -e _DXEntry 
+
+all:           hello loadablelib 
+clean: 
+       rm -rf test.c *.o hello loadablelib