diff -Naur octplot-0.4.0/fonts/Makefile.in octplot-0.4.0.patched/fonts/Makefile.in
--- octplot-0.4.0/fonts/Makefile.in	2007-04-25 02:33:01.000000000 +0900
+++ octplot-0.4.0.patched/fonts/Makefile.in	2007-11-04 20:06:03.000000000 +0900
@@ -194,7 +194,7 @@
 uninstall-info-am:
 install-dist_fontDATA: $(dist_font_DATA)
 	@$(NORMAL_INSTALL)
-	test -z "$(fontdir)" || $(mkdir_p) "$(DESTDIR)$(fontdir)"
+	test -z "$(DESTDIR)$(fontdir)" || $(mkdir_p) "$(DESTDIR)$(fontdir)"
 	@list='$(dist_font_DATA)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
diff -Naur octplot-0.4.0/high_level/Makefile.in octplot-0.4.0.patched/high_level/Makefile.in
--- octplot-0.4.0/high_level/Makefile.in	2007-04-27 19:46:29.000000000 +0900
+++ octplot-0.4.0.patched/high_level/Makefile.in	2007-11-04 20:10:44.000000000 +0900
@@ -212,7 +212,7 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 install-destinationSCRIPTS: $(destination_SCRIPTS)
 	@$(NORMAL_INSTALL)
-	test -z "$(destinationdir)" || $(mkdir_p) "$(DESTDIR)$(destinationdir)"
+	test -z "$(DESTDIR)$(destinationdir)" || $(mkdir_p) "$(DESTDIR)$(destinationdir)"
 	@list='$(destination_SCRIPTS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  if test -f $$d$$p; then \
@@ -232,7 +232,7 @@
 uninstall-info-am:
 install-dist_octplotmDATA: $(dist_octplotm_DATA)
 	@$(NORMAL_INSTALL)
-	test -z "$(octplotmdir)" || $(mkdir_p) "$(DESTDIR)$(octplotmdir)"
+	test -z "$(DESTDIR)$(octplotmdir)" || $(mkdir_p) "$(DESTDIR)$(octplotmdir)"
 	@list='$(dist_octplotm_DATA)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
diff -Naur octplot-0.4.0/src/Makefile.in octplot-0.4.0.patched/src/Makefile.in
--- octplot-0.4.0/src/Makefile.in	2007-04-27 19:46:33.000000000 +0900
+++ octplot-0.4.0.patched/src/Makefile.in	2007-11-04 20:09:51.000000000 +0900
@@ -320,7 +320,7 @@
 	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
 install-destinationPROGRAMS: $(destination_PROGRAMS)
 	@$(NORMAL_INSTALL)
-	test -z "$(destinationdir)" || $(mkdir_p) "$(DESTDIR)$(destinationdir)"
+	test -z "$(DESTDIR)$(destinationdir)" || $(mkdir_p) "$(DESTDIR)$(destinationdir)"
 	@list='$(destination_PROGRAMS)'; for p in $$list; do \
 	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
 	  if test -f $$p \
@@ -346,7 +346,7 @@
 	$(CXXLINK) $(octplot_LDFLAGS) $(octplot_OBJECTS) $(octplot_LDADD) $(LIBS)
 install-destinationSCRIPTS: $(destination_SCRIPTS)
 	@$(NORMAL_INSTALL)
-	test -z "$(destinationdir)" || $(mkdir_p) "$(DESTDIR)$(destinationdir)"
+	test -z "$(DESTDIR)$(destinationdir)" || $(mkdir_p) "$(DESTDIR)$(destinationdir)"
 	@list='$(destination_SCRIPTS)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  if test -f $$d$$p; then \
@@ -1152,7 +1152,7 @@
 uninstall-info-am:
 install-dist_octplotmDATA: $(dist_octplotm_DATA)
 	@$(NORMAL_INSTALL)
-	test -z "$(octplotmdir)" || $(mkdir_p) "$(DESTDIR)$(octplotmdir)"
+	test -z "$(DESTDIR)$(octplotmdir)" || $(mkdir_p) "$(DESTDIR)$(octplotmdir)"
 	@list='$(dist_octplotm_DATA)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
@@ -1169,7 +1169,7 @@
 	done
 install-mpathDATA: $(mpath_DATA)
 	@$(NORMAL_INSTALL)
-	test -z "$(mpathdir)" || $(mkdir_p) "$(DESTDIR)$(mpathdir)"
+	test -z "$(DESTDIR)$(mpathdir)" || $(mkdir_p) "$(DESTDIR)$(mpathdir)"
 	@list='$(mpath_DATA)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
@@ -1186,7 +1186,7 @@
 	done
 install-nodist_octplotmDATA: $(nodist_octplotm_DATA)
 	@$(NORMAL_INSTALL)
-	test -z "$(octplotmdir)" || $(mkdir_p) "$(DESTDIR)$(octplotmdir)"
+	test -z "$(DESTDIR)$(octplotmdir)" || $(mkdir_p) "$(DESTDIR)$(octplotmdir)"
 	@list='$(nodist_octplotm_DATA)'; for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 	  f=$(am__strip_dir) \
diff -Naur octplot-0.4.0/src/glutesscb.h octplot-0.4.0.patched/src/glutesscb.h
--- octplot-0.4.0/src/glutesscb.h	2007-04-12 10:50:07.000000000 -0700
+++ octplot-0.4.0.patched/src/glutesscb.h	2008-05-26 16:55:45.000000000 -0700
@@ -20,7 +20,7 @@
 // Taken from FTGL/FTVectoriser.cpp
 
 #ifdef __APPLE_CC__    
-    typedef GLvoid (*GLUTesselatorFunction)(...);
+    typedef GLvoid (*GLUTesselatorFunction)();
 #elif defined ( WIN32)
     typedef GLvoid (CALLBACK *GLUTesselatorFunction)( );
 #elif defined( __mips ) || defined( __linux__ ) || defined( __FreeBSD__ ) || defined( __OpenBSD__ ) || defined( __sun ) || defined (__CYGWIN__) || defined(__GLIBC__)